[[source]]
url = "https://pypi.org/simple"
verify_ssl = true
name = "pypi"

[scripts]
app = "uvicorn src.main:app --reload --no-server-header"
"app:local" = "gunicorn src.main:app -w 2 -k uvicorn.workers.UvicornWorker -b 127.0.0.1:8000 --timeout 1200 --keep-alive 1200"

[packages]
fastapi = "==0.*"
pydantic = "==2.*"
uvicorn = "*"
"uvicorn[standard]" = "*"
gunicorn = "*"
boto3 = "*"
jinja2 = "*"
pyjwt = "*"
"pyjwt[crypto]" = "*"
requests = "*"
python-multipart = "*"
pynamodb = "*"
PyMySQL = "*"
pandas = "*"
openpyxl = "*"
xlrd = "*"
sqlalchemy = "==2.*"
mojimoji = "*"

[dev-packages]
autopep8 = "*"
flake8 = "*"

[requires]
python_version = "3.9"

[pipenv]
allow_prereleases = true
